cancel
Showing results for 
Search instead for 
Did you mean: 
jmathur
Pilgrim

IS2013 Upgrade to previous version not working

I am running into an issue with InstallShield 2013. I would appreciate any help you can provide.

Out previous version of software setup(s) were build using InstallShield 2010.

Now we have got the InstallShield 2013 and the installs I am creating are working fine on a clean desktop (meaning first time install) but If I try to run the upgrade on existing software then setup is launching a wrong version of setup program to uninstall the existing version.

Let me explain this in detail.

1. We have a Software (v 5.7) installed on desktops that has components A,B and C
2. They all have same version number but different ProductCode and were build using InstallShield 2010
3. Now I have built the new install of our software (v 5.8) using InstallShield 2013 that have new product version and product code
4. While running the upgrade for component A, it internally launches the setup of component C and that is not desirable
5. Important thing to note that if I used the InstallShield 2010 to create the installs for software v5.8, the complete upgrade works fine.

So the bottom line is that when upgrading software whose install program was build using IS2010 is only upgradable using setup(s) that were created using IS2010.

I would appreciate any help in resolving this issue.

Jai
Labels (1)
0 Kudos
1 Reply
Highlighted

Re: IS2013 Upgrade to previous version not working

We are facing the same issue. Did anyone find a solution to it?

Thanks
Shobha
0 Kudos